import React, { useState, useEffect } from 'react';
import { csv } from 'd3';


const csvUrl = 'https://gist.githubusercontent.com/sophburke/9584ace7377981efb06efa4336daee75/raw/672b876ff471b8ba86b89109255f75d4917537e4/hx-mitx-course-person-dataset2013-10k-October9.csv'

const row = d => {
      d.lng = +d.Lng;
      d.lat = +d.Lat;
      d.views = +d.nplay_video;
      d.course = d.Course;
      d.school = d.School;
      d.country =  d.Countries;
      d.age = +d.age;
      d.gender = d.gender
      
      return d;
    };

export const useDataViews = () => {
  const [data, setData] = useState(null);
  console.log("viewData: ", data);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);
  

  return data;
};